Bug 764824 (GLUSTER-3092)

Summary: transport type is hardcoded as "tcp" in dst-brick volfile while doing replace-brick
Product: [Community] GlusterFS Reporter: M S Vishwanath Bhat <vbhat>
Component: glusterdAssignee: M S Vishwanath Bhat <vbhat>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 3.2.1CC: amarts, gluster-bugs
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description M S Vishwanath Bhat 2011-06-27 09:52:50 EDT
While doing replace-brick transport type of the dst-brick is hardcoded as "tcp" in volfile. As a result, replace-brick fails in rdma set-up.
Comment 1 M S Vishwanath Bhat 2011-07-08 04:05:19 EDT
Transport type is hard coded in maintenance client volgile also. And Also the transport type is wrong in the volfile when the pump is loaded.
Comment 2 Anand Avati 2011-07-24 11:44:44 EDT
CHANGE: http://review.gluster.com/72 (Replace-brick didn't support transport types other than tcp.) merged in master by Anand Avati (avati@gluster.com)
Comment 3 Amar Tumballi 2011-07-25 20:49:47 EDT
Vishwanath, Please submit it to the release-3.2 branch also.
Comment 4 Anand Avati 2011-08-04 06:51:19 EDT
CHANGE: http://review.gluster.com/133 (Replace-brick didn't work in volume with rdma transport type.) merged in release-3.2 by Anand Avati (avati@gluster.com)
Comment 5 M S Vishwanath Bhat 2011-08-11 05:28:50 EDT
In 3.2.3 it's fixed. Now after starting the replace-brick operation source volfile and dest volfile are generated with transport type as rdma . When the transport type is tcp,rdma volfile is src and dest generated with 'tcp' transport type.

maintenance client volfile 

volume mnt-client
 type protocol/client
 option remote-host 10.1.10.24
 option remote-subvolume /tmp/brick1
 option remote-port 24009
 option transport-type rdma
end-volume
volume mnt-wb
 type performance/write-behind
 subvolumes mnt-client
end-volume

dest-brick volfile

volume src-posix
 type storage/posix
 option directory /tmp/brick5
end-volume
volume /tmp/brick5
 type features/locks
 subvolumes src-posix
end-volume
volume src-server
 type protocol/server
 option auth.addr./tmp/brick5.allow *
 option transport-type rdma
 subvolumes /tmp/brick5
end-volume


source brick volfile


volume hosdu-replace-brick
    type protocol/client
    option transport-type rdma
end-volume

volume hosdu-pump
    type cluster/pump
    subvolumes hosdu-io-threads hosdu-replace-brick
end-volume

volume hosdu-marker
    type features/marker
    option volume-uuid fbfcaa50-3dce-4f16-83d7-c7dfdf08942d
    option timestamp-file /etc/glusterd/vols/hosdu/marker.tstamp
    option xtime off
    option quota off
    subvolumes hosdu-pump
end-volume